CK_COHORT_INSTANCE(3)

NAME
CK_COHORT_INSTANCE - declare an instance of a cohort type

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_cohort.h>
CK_COHORT_INSTANCE(COHORT_NAME cohort_name);

DESCRIPTION
The user must use this macro to declare instances of cohort types that they have defined. For instance, if they have used the CK_COHORT_PROTOTYPE macro to define a cohort type with name foo, they would create an instance of this type as follows:
CK_COHORT_INSTANCE(foo) cohort;

This macro should also be used when allocating memory for cohorts. For instance, to allocate a block of 4 cohorts:
CK_COHORT_INSTANCE(foo) *cohorts = malloc(4 * sizeof(CK_COHORT_INSTANCE(foo)));

SEE ALSO
ck_cohort(3), CK_COHORT_PROTOTYPE(3), CK_COHORT_TRYLOCK_PROTOTYPE(3), CK_COHORT_INSTANCE(3), CK_COHORT_INITIALIZER(3), CK_COHORT_LOCK(3), CK_COHORT_UNLOCK(3), CK_COHORT_LOCKED(3), CK_COHORT_TRYLOCK(3),

Additional information available at http://concurrencykit.org/